from django.conf.urls.defaults import *

params = {'app_label': 'blog', 'module_name': 'posts'}

urlpatterns = patterns('',
    (r'^admin/', include('django.contrib.admin.urls.admin')),
    (r'^$', 'django.views.generic.list_detail.object_list', params),
    (r'^tag/(?P<tag>.*)/$', 'webconf.blog.views.posts_by_tag'),
    (r'^(?P<year>\d{4})(?P<month>\d{2})(?P<day>\d{2})/(?P<slug>[-\w]+)/$', 'webconf.blog.views.single'),
    (r'^(?P<year>\d{4})(?P<month>\d{2})(?P<day>\d{2})/(?P<slug>[-\w]+)/comment/$', 'webconf.blog.views.single'),
)
